#pragma once

#include "AbstractUiInterface.h"
#include "DesktopManager.h"
#include "FontsManager.h"

class NullUIInterface : public AbstractUIInterface
{
public:

    NullUIInterface(DesktopManager* desktopManager, std::unique_ptr<FontsManager> fontsManager, bool useHardware = false)
        : AbstractUIInterface(desktopManager, std::move(fontsManager), useHardware)
    {
    };

    virtual ~NullUIInterface() = default;

    void loop() override{};

    void showWindow(mt::Window* window) override{};

    void addWindow(mt::Window* window) override{};

protected:
    void initialize() override{};
    void shutDown() override{};
};
